// ignore_for_file: invalid_annotation_target

import 'package:freezed_annotation/freezed_annotation.dart';

part 'logout_error.freezed.dart';
part 'logout_error.g.dart';

@freezed
abstract class LogoutError with _$LogoutError {
  const factory LogoutError({required String? message, required String? code}) =
      _LogoutError;

  factory LogoutError.fromJson(Map<String, Object?> json) =>
      _$LogoutErrorFromJson(json);
}
